## xdg-desktop-portal-gtk 1.15.3

=== meson_options.txt ===
option('dbus-service-dir',
       type: 'string',
       value: '',
       description: 'directory for dbus service files (default: PREFIX/share/dbus-1/services)')
option('systemd-user-unit-dir',
       type: 'string',
       value: '',
       description: 'directory for systemd user service files (default: PREFIX/lib/systemd/user)')
option('datarootdir',
        type: 'string',
        value: '',
        description: 'Define the datarootdir for the pkgconf file')

# Features
option('wallpaper',
       type: 'feature',
       value: 'auto',
       description: 'Enable Wallpaper portal (requires: gnome-desktop)')
option('settings',
       type: 'feature',
       value: 'auto',
       description: 'Enable Settings portal (requires: fontconfig, gsettings-desktop-schemas)')
option('appchooser',
       type: 'feature',
       value: 'auto',
       description: 'Enable AppChooser portal')
option('lockdown',
       type: 'feature',
       value: 'auto',
       description: 'Enable Lockdown portal')

## xdg-desktop-portal-gtk 0.3

=== debian/changelog ===
xdg-desktop-portal-gtk (0.3-1) unstable; urgency=medium

  * Initial release. (Closes: #831690)

 -- Simon McVittie <smcv@debian.org>  Wed, 21 Sep 2016 22:14:47 +0100

=== debian/control ===
Source: xdg-desktop-portal-gtk
Section: gnome
Priority: optional
Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Uploaders:
 Simon McVittie <smcv@debian.org>,
Build-Depends:
 dbus,
 debhelper (>= 9),
 dh-autoreconf,
 libdbus-1-dev,
 libflatpak-dev,
 libglib2.0-dev,
 libgtk-3-dev,
 xdg-desktop-portal-dev,
 xmlto,
Standards-Version: 3.9.8
Homepage: http://flatpak.org/
Vcs-Git: https://anonscm.debian.org/git/collab-maint/xdg-desktop-portal-gtk.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/xdg-desktop-portal-gtk.git

Package: xdg-desktop-portal-gtk
Architecture: linux-any
Multi-arch: foreign
Depends:
 dbus-user-session | dbus-x11,
 xdg-desktop-portal,
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 xdg-desktop-portal-backend,
Description: GTK/GNOME portal backend for xdg-desktop-portal
 xdg-desktop-portal-gtk provides a GTK/GNOME implementation for the
 desktop-agnostic xdg-desktop-portal service. This allows sandboxed
 applications to request services from outside the sandbox using
 GTK GUIs (app chooser, file chooser, print dialog) or using GNOME
 services (session manager, screenshot provider).

## xdg-desktop-portal-gtk 0.5

=== debian/changelog ===
xdg-desktop-portal-gtk (0.5-1) unstable; urgency=medium

  * New upstream release
    - Suggests: accountsservice for the new Account interface

 -- Simon McVittie <smcv@debian.org>  Sat, 21 Jan 2017 16:28:44 +0000

=== debian/control ===
--- 
+++ 
@@ -27,6 +27,8 @@
  xdg-desktop-portal,
  ${misc:Depends},
  ${shlibs:Depends},
+Suggests:
+ accountsservice,
 Provides:
  xdg-desktop-portal-backend,
 Description: GTK/GNOME portal backend for xdg-desktop-portal

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

include /usr/share/dpkg/default.mk

%:
	dh $@ --parallel --with=autoreconf

override_dh_auto_configure:
	dh_auto_configure -- \
		--disable-silent-rules \
		--enable-docbook-docs \
		--enable-installed-tests \
		--libexecdir=/usr/lib/xdg-desktop-portal \
		$(NULL)

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

override_dh_install:
	dh_install --fail-missing

## xdg-desktop-portal-gtk 0.6

=== debian/changelog ===
xdg-desktop-portal-gtk (0.6-1) experimental; urgency=medium

  * New upstream release
    - Apply some post-release bug fixes from upstream
  * Move to debhelper compat level 10
  * Omit unimplemented configure options --enable-docbook-docs,
    --enable-installed-tests
  * Do not explicitly disable quiet Automake output: dh now does this
    by default

 -- Simon McVittie <smcv@debian.org>  Mon, 03 Apr 2017 18:03:41 +0100

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,12 @@
  Simon McVittie <smcv@debian.org>,
 Build-Depends:
  dbus,
- debhelper (>= 9),
- dh-autoreconf,
+ debhelper (>= 10),
  libdbus-1-dev,
  libflatpak-dev,
- libglib2.0-dev,
- libgtk-3-dev,
- xdg-desktop-portal-dev,
+ libglib2.0-dev (>= 2.44),
+ libgtk-3-dev (>= 3.14),
+ xdg-desktop-portal-dev (>= 0.6),
  xmlto,
 Standards-Version: 3.9.8
 Homepage: http://flatpak.org/
@@ -31,9 +30,9 @@
  accountsservice,
 Provides:
  xdg-desktop-portal-backend,
-Description: GTK/GNOME portal backend for xdg-desktop-portal
- xdg-desktop-portal-gtk provides a GTK/GNOME implementation for the
+Description: GTK+/GNOME portal backend for xdg-desktop-portal
+ xdg-desktop-portal-gtk provides a GTK+/GNOME implementation for the
  desktop-agnostic xdg-desktop-portal service. This allows sandboxed
  applications to request services from outside the sandbox using
- GTK GUIs (app chooser, file chooser, print dialog) or using GNOME
+ GTK+ GUIs (app chooser, file chooser, print dialog) or using GNOME
  services (session manager, screenshot provider).

## xdg-desktop-portal-gtk 0.7

=== debian/changelog ===
xdg-desktop-portal-gtk (0.7-3) unstable; urgency=medium

  * Set Rules-Requires-Root to no
  * Use https Format URL in d/copyright
  * Standards-Version: 4.1.1 (no further changes)

 -- Simon McVittie <smcv@debian.org>  Sat, 11 Nov 2017 13:43:44 +0000

xdg-desktop-portal-gtk (0.7-2) unstable; urgency=medium

  * Move patches taken from upstream to debian/patches/0.8/ to make it
    obvious when they can be dropped
  * Upload to unstable

 -- Simon McVittie <smcv@debian.org>  Sat, 10 Jun 2017 10:13:02 +0100

xdg-desktop-portal-gtk (0.7-1) experimental; urgency=medium

  * New upstream release
    - Drop patches, no longer needed
  * Drop build-dependency on libflatpak-dev, which was only needed due
    to bugs in xdg-desktop-portal-dev. Build-depend on a fixed version
    of xdg-desktop-portal-dev instead.
  * debian/patches/*: Update app chooser design from upstream git

 -- Simon McVittie <smcv@debian.org>  Fri, 09 Jun 2017 08:28:33 +0100

=== debian/control ===
--- 
+++ 
@@ -8,12 +8,12 @@
  dbus,
  debhelper (>= 10),
  libdbus-1-dev,
- libflatpak-dev,
  libglib2.0-dev (>= 2.44),
  libgtk-3-dev (>= 3.14),
- xdg-desktop-portal-dev (>= 0.6),
+ xdg-desktop-portal-dev (>= 0.8-1~),
  xmlto,
-Standards-Version: 3.9.8
+Rules-Requires-Root: no
+Standards-Version: 4.1.1
 Homepage: http://flatpak.org/
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/xdg-desktop-portal-gtk.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/xdg-desktop-portal-gtk.git

## xdg-desktop-portal-gtk 0.9

=== debian/changelog ===
xdg-desktop-portal-gtk (0.9-2) unstable; urgency=medium

  * Standards-Version: 4.1.3 (no changes)
  * Change Vcs-* to point to salsa.debian.org
  * d/p/0.10/: Update to upstream git commit v0.9-6-gab7be06 for bug
    fixes and an updated Swedish translation

 -- Simon McVittie <smcv@debian.org>  Thu, 18 Jan 2018 08:46:51 +0000

xdg-desktop-portal-gtk (0.9-1) unstable; urgency=medium

  * New upstream release
    - Drop all patches, applied upstream

 -- Simon McVittie <smcv@debian.org>  Fri, 24 Nov 2017 10:43:14 +0000

=== debian/control ===
--- 
+++ 
@@ -13,10 +13,10 @@
  xdg-desktop-portal-dev (>= 0.8-1~),
  xmlto,
 Rules-Requires-Root: no
-Standards-Version: 4.1.1
+Standards-Version: 4.1.3
 Homepage: http://flatpak.org/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/xdg-desktop-portal-gtk.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/xdg-desktop-portal-gtk.git
+Vcs-Git: https://salsa.debian.org/debian/xdg-desktop-portal-gtk.git
+Vcs-Browser: https://salsa.debian.org/debian/xdg-desktop-portal-gtk
 
 Package: xdg-desktop-portal-gtk
 Architecture: linux-any

## xdg-desktop-portal-gtk 0.10

=== debian/changelog ===
xdg-desktop-portal-gtk (0.10-1) unstable; urgency=medium

  * New upstream release
    - Drop patches, merged upstream
    - d/copyright: Update
  * d/p/configure-Add-gio-unix-2.0.pc-dependency.patch:
    Add patch from upstream adding missing gio-unix-2.0 dependency
  * Depend and build-depend on xdg-desktop-portal 0.10

 -- Simon McVittie <smcv@debian.org>  Fri, 16 Feb 2018 12:51:59 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  libdbus-1-dev,
  libglib2.0-dev (>= 2.44),
  libgtk-3-dev (>= 3.14),
- xdg-desktop-portal-dev (>= 0.8-1~),
+ xdg-desktop-portal-dev (>= 0.10),
  xmlto,
 Rules-Requires-Root: no
 Standards-Version: 4.1.3
@@ -23,7 +23,7 @@
 Multi-arch: foreign
 Depends:
  dbus-user-session | dbus-x11,
- xdg-desktop-portal,
+ xdg-desktop-portal (>= 0.10),
  ${misc:Depends},
  ${shlibs:Depends},
 Suggests:

## xdg-desktop-portal-gtk 0.11

=== debian/changelog ===
xdg-desktop-portal-gtk (0.11-1) unstable; urgency=medium

  * New upstream release
    - Drop patch, merged upstream
    - d/copyright: Update
  * Add Suggests: evince, for evince-previewer
  * Standards-Version: 4.1.4 (no changes)

 -- Simon McVittie <smcv@debian.org>  Wed, 25 Apr 2018 16:37:48 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  xdg-desktop-portal-dev (>= 0.10),
  xmlto,
 Rules-Requires-Root: no
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: http://flatpak.org/
 Vcs-Git: https://salsa.debian.org/debian/xdg-desktop-portal-gtk.git
 Vcs-Browser: https://salsa.debian.org/debian/xdg-desktop-portal-gtk
@@ -28,6 +28,7 @@
  ${shlibs:Depends},
 Suggests:
  accountsservice,
+ evince,
 Provides:
  xdg-desktop-portal-backend,
 Description: GTK+/GNOME portal backend for xdg-desktop-portal

=== debian/rules ===
--- 
+++ 
@@ -6,13 +6,10 @@
 include /usr/share/dpkg/default.mk
 
 %:
-	dh $@ --parallel --with=autoreconf
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		--disable-silent-rules \
-		--enable-docbook-docs \
-		--enable-installed-tests \
 		--libexecdir=/usr/lib/xdg-desktop-portal \
 		$(NULL)

## xdg-desktop-portal-gtk 0.99

=== debian/changelog ===
xdg-desktop-portal-gtk (0.99-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.1.5
  * Install to /usr/libexec

 -- Simon McVittie <smcv@debian.org>  Sat, 28 Jul 2018 13:20:22 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  xdg-desktop-portal-dev (>= 0.10),
  xmlto,
 Rules-Requires-Root: no
-Standards-Version: 4.1.4
+Standards-Version: 4.1.5
 Homepage: http://flatpak.org/
 Vcs-Git: https://salsa.debian.org/debian/xdg-desktop-portal-gtk.git
 Vcs-Browser: https://salsa.debian.org/debian/xdg-desktop-portal-gtk

## xdg-desktop-portal-gtk 1.0

=== debian/changelog ===
xdg-desktop-portal-gtk (1.0-2) unstable; urgency=medium

  * Build-depend on xdg-desktop-portal 1.0

 -- Simon McVittie <smcv@debian.org>  Thu, 23 Aug 2018 14:22:09 +0100

xdg-desktop-portal-gtk (1.0-1) unstable; urgency=medium

  * New upstream release
  * Install upstream NEWS file
  * Standards-Version: 4.2.0 (no further changes)

 -- Simon McVittie <smcv@debian.org>  Thu, 23 Aug 2018 09:58:05 +0100

=== debian/control ===
--- 
+++ 
@@ -10,10 +10,10 @@
  libdbus-1-dev,
  libglib2.0-dev (>= 2.44),
  libgtk-3-dev (>= 3.14),
- xdg-desktop-portal-dev (>= 0.10),
+ xdg-desktop-portal-dev (>= 1.0),
  xmlto,
 Rules-Requires-Root: no
-Standards-Version: 4.1.5
+Standards-Version: 4.2.0
 Homepage: http://flatpak.org/
 Vcs-Git: https://salsa.debian.org/debian/xdg-desktop-portal-gtk.git
 Vcs-Browser: https://salsa.debian.org/debian/xdg-desktop-portal-gtk

## xdg-desktop-portal-gtk 1.0.1

=== debian/changelog ===
xdg-desktop-portal-gtk (1.0.1-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.2.1 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Fri, 31 Aug 2018 08:55:22 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  xdg-desktop-portal-dev (>= 1.0),
  xmlto,
 Rules-Requires-Root: no
-Standards-Version: 4.2.0
+Standards-Version: 4.2.1
 Homepage: http://flatpak.org/
 Vcs-Git: https://salsa.debian.org/debian/xdg-desktop-portal-gtk.git
 Vcs-Browser: https://salsa.debian.org/debian/xdg-desktop-portal-gtk

## xdg-desktop-portal-gtk 1.0.2

=== debian/changelog ===
xdg-desktop-portal-gtk (1.0.2-flatpak1~xenial) xenial; urgency=medium

  * Update to 1.0.2

 -- Alexander Larsson <alexl@redhat.com>  Thu, 13 Sep 2018 16:17:50 +0200

xdg-desktop-portal-gtk (0.11-flatpak1~xenial) xenial; urgency=medium

  * Update to 0.11

 -- Alexander Larsson <alexl@redhat.com>  Fri, 27 Apr 2018 14:29:30 +0200

xdg-desktop-portal-gtk (0.10-0alexlarsson1~xenial) xenial; urgency=medium

  * Update to 0.10

 -- Alexander Larsson <alexl@redhat.com>  Wed, 14 Feb 2018 14:11:44 +0100

xdg-desktop-portal-gtk (0.7-0alexlarsson2~xenial) xenial; urgency=medium

  * Update from debian

 -- Alexander Larsson <alexl@redhat.com>  Wed, 14 Jun 2017 10:38:23 +0200

xdg-desktop-portal-gtk (0.7-2) UNRELEASED; urgency=medium

  * Move patches taken from upstream to debian/patches/0.8/ to make it
    obvious when they can be dropped

 -- Simon McVittie <smcv@debian.org>  Sat, 10 Jun 2017 10:13:02 +0100

xdg-desktop-portal-gtk (0.6-0alexlarsson1~xenial) xenial; urgency=medium

  * Update from debian

 -- Alexander Larsson <alexl@redhat.com>  Thu, 04 May 2017 08:41:37 +0200

xdg-desktop-portal-gtk (0.6-1) unstable; urgency=medium

  * New upstream release
    - Apply some post-release bug fixes from upstream
  * Move to debhelper compat level 10
  * Omit unimplemented configure options --enable-docbook-docs,
    --enable-installed-tests
  * Do not explicitly disable quiet Automake output: dh now does this
    by default

 -- Simon McVittie <smcv@debian.org>  Mon, 03 Apr 2017 18:03:41 +0100

xdg-desktop-portal-gtk (0.5-0alexlarsson1~xenial) xenial; urgency=medium

  * Import from debian

 -- Alexander Larsson <alexl@redhat.com>  Wed, 25 Jan 2017 08:34:34 +0100

=== debian/control ===
--- 
+++ 
@@ -6,29 +6,28 @@
  Simon McVittie <smcv@debian.org>,
 Build-Depends:
  dbus,
- debhelper (>= 10),
+ debhelper (>= 9),
+ dh-autoreconf,
  libdbus-1-dev,
  libglib2.0-dev (>= 2.44),
  libgtk-3-dev (>= 3.14),
- xdg-desktop-portal-dev (>= 1.0),
+ xdg-desktop-portal-dev (>= 1.0.2-0~),
  xmlto,
-Rules-Requires-Root: no
-Standards-Version: 4.2.1
+Standards-Version: 3.9.8
 Homepage: http://flatpak.org/
-Vcs-Git: https://salsa.debian.org/debian/xdg-desktop-portal-gtk.git
-Vcs-Browser: https://salsa.debian.org/debian/xdg-desktop-portal-gtk
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/xdg-desktop-portal-gtk.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/xdg-desktop-portal-gtk.git
 
 Package: xdg-desktop-portal-gtk
 Architecture: linux-any
 Multi-arch: foreign
 Depends:
  dbus-user-session | dbus-x11,
- xdg-desktop-portal (>= 0.10),
+ xdg-desktop-portal,
  ${misc:Depends},
  ${shlibs:Depends},
 Suggests:
  accountsservice,
- evince,
 Provides:
  xdg-desktop-portal-backend,
 Description: GTK+/GNOME portal backend for xdg-desktop-portal

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 include /usr/share/dpkg/default.mk
 
 %:
-	dh $@
+	dh $@ --parallel --with=autoreconf
 
 override_dh_auto_configure:
 	dh_auto_configure -- \

## xdg-desktop-portal-gtk 1.2.0

=== debian/changelog ===
xdg-desktop-portal-gtk (1.2.0-1) unstable; urgency=medium

  [ Simon McVittie ]
  * d/upstream/metadata: Add DEP-12 metadata
  * New upstream stable release
    - d/watch: Only watch for even-numbered branches
  * d/gbp.conf: Don't force xz compression
  * d/gbp.conf, d/control: Use debian/master branch
  * Release to unstable

  [ Jeremy Bicha ]
  * Use dh_missing instead of dh_install

 -- Simon McVittie <smcv@debian.org>  Sat, 26 Jan 2019 18:57:10 +0000

xdg-desktop-portal-gtk (1.1.1-1) experimental; urgency=medium

  * New upstream development release
    - B-D on xdg-desktop-portal 1.1.1 for Lockdown interface
  * Standards-Version: 4.3.0 (no changes required)
  * Depend on matching xdg-desktop-portal branch

 -- Simon McVittie <smcv@debian.org>  Thu, 17 Jan 2019 10:10:25 +0000

xdg-desktop-portal-gtk (1.1.0-1) experimental; urgency=medium

  * New upstream development release
    - d/control: Update B-D

 -- Simon McVittie <smcv@debian.org>  Mon, 19 Nov 2018 18:49:12 +0000

xdg-desktop-portal-gtk (1.0.2-2) unstable; urgency=medium

  * Build-depend on xdg-desktop-portal 1.0.2

 -- Simon McVittie <smcv@debian.org>  Mon, 10 Sep 2018 23:02:32 +0100

xdg-desktop-portal-gtk (1.0.2-1) unstable; urgency=medium

  * New upstream release
  * d/copyright: Update

 -- Simon McVittie <smcv@debian.org>  Mon, 10 Sep 2018 10:55:11 +0100

=== debian/control ===
--- 
+++ 
@@ -6,28 +6,29 @@
  Simon McVittie <smcv@debian.org>,
 Build-Depends:
  dbus,
- debhelper (>= 9),
- dh-autoreconf,
+ debhelper (>= 10),
  libdbus-1-dev,
  libglib2.0-dev (>= 2.44),
  libgtk-3-dev (>= 3.14),
- xdg-desktop-portal-dev (>= 1.0.2-0~),
+ xdg-desktop-portal-dev (>= 1.1.1),
  xmlto,
-Standards-Version: 3.9.8
+Rules-Requires-Root: no
+Standards-Version: 4.3.0
 Homepage: http://flatpak.org/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/xdg-desktop-portal-gtk.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/xdg-desktop-portal-gtk.git
+Vcs-Git: https://salsa.debian.org/debian/xdg-desktop-portal-gtk.git
+Vcs-Browser: https://salsa.debian.org/debian/xdg-desktop-portal-gtk
 
 Package: xdg-desktop-portal-gtk
 Architecture: linux-any
 Multi-arch: foreign
 Depends:
  dbus-user-session | dbus-x11,
- xdg-desktop-portal,
+ xdg-desktop-portal (>= 1.1.1),
  ${misc:Depends},
  ${shlibs:Depends},
 Suggests:
  accountsservice,
+ evince,
 Provides:
  xdg-desktop-portal-backend,
 Description: GTK+/GNOME portal backend for xdg-desktop-portal

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

include /usr/share/dpkg/default.mk

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		--libexecdir=/usr/libexec \
		$(NULL)

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

override_dh_missing:
	dh_missing --fail-missing

=== debian/watch ===
version=4
https://github.com/flatpak/@PACKAGE@/releases .*/@PACKAGE@-(\d+\.\d*[02468]\.[\-+\.:\~\da-zA-Z]*)@ARCHIVE_EXT@

## xdg-desktop-portal-gtk 1.4.0

=== debian/changelog ===
xdg-desktop-portal-gtk (1.4.0-2) unstable; urgency=medium

  * Upload to unstable
  * d/salsa-ci.yml: Request standard CI on salsa.debian.org
  * Standards-Version: 4.4.0 (no changes required)
  * Use debhelper-compat 12
    - Remove --libexecdir=/usr/libexec, which is the default at this
      compat level

 -- Simon McVittie <smcv@debian.org>  Tue, 16 Jul 2019 09:41:56 +0100

xdg-desktop-portal-gtk (1.4.0-1) experimental; urgency=medium

  * New upstream release
    - d/copyright: Update
  * Build-depend on the corresponding xdg-desktop-portal 1.4
  * Make xdg-desktop-portal-backend a versioned Provides

 -- Simon McVittie <smcv@debian.org>  Mon, 10 Jun 2019 09:14:00 +0100

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,14 @@
  Simon McVittie <smcv@debian.org>,
 Build-Depends:
  dbus,
- debhelper (>= 10),
+ debhelper-compat (= 12),
  libdbus-1-dev,
  libglib2.0-dev (>= 2.44),
  libgtk-3-dev (>= 3.14),
- xdg-desktop-portal-dev (>= 1.1.1),
+ xdg-desktop-portal-dev (>= 1.4),
  xmlto,
 Rules-Requires-Root: no
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: http://flatpak.org/
 Vcs-Git: https://salsa.debian.org/debian/xdg-desktop-portal-gtk.git
 Vcs-Browser: https://salsa.debian.org/debian/xdg-desktop-portal-gtk
@@ -23,14 +23,14 @@
 Multi-arch: foreign
 Depends:
  dbus-user-session | dbus-x11,
- xdg-desktop-portal (>= 1.1.1),
+ xdg-desktop-portal (>= 1.4),
  ${misc:Depends},
  ${shlibs:Depends},
 Suggests:
  accountsservice,
  evince,
 Provides:
- xdg-desktop-portal-backend,
+ xdg-desktop-portal-backend (= 1.4),
 Description: GTK+/GNOME portal backend for xdg-desktop-portal
  xdg-desktop-portal-gtk provides a GTK+/GNOME implementation for the
  desktop-agnostic xdg-desktop-portal service. This allows sandboxed

## xdg-desktop-portal-gtk 1.6.0

=== debian/changelog ===
xdg-desktop-portal-gtk (1.6.0-1ubuntu1) focal; urgency=medium

  * Return the current filter selected from file dialogs
    - d/patches/filechooser-current-filter.patch
      (lp: #1973564)

 -- Ted Gould <ted@ubuntu.com>  Wed, 18 May 2022 15:30:59 +0200

xdg-desktop-portal-gtk (1.6.0-1build1) focal; urgency=medium

  * Rebuiid with the new gnome-desktop soname

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 24 Feb 2020 23:49:03 +0100

xdg-desktop-portal-gtk (1.6.0-1) unstable; urgency=medium

  * New upstream stable release
    - d/watch: Only watch for stable branches
    - d/gbp.conf: Use debian/master, upstream/1.6.x branches
    - Bump xdg-desktop-portal dependency to 1.6.0.
      They should be tested and backported together.

 -- Simon McVittie <smcv@debian.org>  Tue, 24 Dec 2019 14:17:17 +0000

xdg-desktop-portal-gtk (1.5.2-1) experimental; urgency=medium

  * Standards-Version: 4.4.1 (no changes required)
  * Branch for experimental
  * New upstream development release
    - d/control: Update build-dependencies
    - d/copyright: Update

 -- Simon McVittie <smcv@debian.org>  Sat, 14 Dec 2019 10:45:10 +0000

=== debian/control ===
--- 
+++ 
@@ -8,12 +8,14 @@
  dbus,
  debhelper-compat (= 12),
  libdbus-1-dev,
+ libfontconfig-dev,
  libglib2.0-dev (>= 2.44),
+ libgnome-desktop-3-dev,
  libgtk-3-dev (>= 3.14),
- xdg-desktop-portal-dev (>= 1.4),
+ xdg-desktop-portal-dev (>= 1.6.0),
  xmlto,
 Rules-Requires-Root: no
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Homepage: http://flatpak.org/
 Vcs-Git: https://salsa.debian.org/debian/xdg-desktop-portal-gtk.git
 Vcs-Browser: https://salsa.debian.org/debian/xdg-desktop-portal-gtk
@@ -23,14 +25,14 @@
 Multi-arch: foreign
 Depends:
  dbus-user-session | dbus-x11,
- xdg-desktop-portal (>= 1.4),
+ xdg-desktop-portal (>= 1.6.0),
  ${misc:Depends},
  ${shlibs:Depends},
 Suggests:
  accountsservice,
  evince,
 Provides:
- xdg-desktop-portal-backend (= 1.4),
+ xdg-desktop-portal-backend (= 1.6),
 Description: GTK+/GNOME portal backend for xdg-desktop-portal
  xdg-desktop-portal-gtk provides a GTK+/GNOME implementation for the
  desktop-agnostic xdg-desktop-portal service. This allows sandboxed

## xdg-desktop-portal-gtk 1.8.0

=== debian/changelog ===
xdg-desktop-portal-gtk (1.8.0-1) unstable; urgency=medium

  * New upstream release
    - Drop all patches, applied upstream

 -- Simon McVittie <smcv@debian.org>  Wed, 16 Sep 2020 10:31:20 +0100

xdg-desktop-portal-gtk (1.7.1-3) unstable; urgency=medium

  * d/rules: Don't explicitly use --as-needed linker option.
    It's the default with bullseye toolchains.
  * Release to unstable for the pipewire 0.3 transition

 -- Simon McVittie <smcv@debian.org>  Thu, 10 Sep 2020 12:48:30 +0100

xdg-desktop-portal-gtk (1.7.1-2) experimental; urgency=medium

  * d/patches: Import bugfixes from upstream git, up to commit
    1.7.1-26-g6eba95f
    - In particular this fixes compatibility with GNOME Shell 3.37.x

 -- Simon McVittie <smcv@debian.org>  Mon, 07 Sep 2020 20:41:22 +0100

xdg-desktop-portal-gtk (1.7.1-1) experimental; urgency=medium

  * New upstream development release
    - Depend on a matching x-d-p, for the directory chooser API

 -- Simon McVittie <smcv@debian.org>  Mon, 30 Mar 2020 10:19:46 +0100

xdg-desktop-portal-gtk (1.7.0-1) experimental; urgency=medium

  * Switch to experimental branch
    - d/watch: Watch for development releases
    - d/gbp.conf, d/control: Use debian/experimental packaging branch
    - d/gbp.conf: Use upstream/latest branch
  * New upstream development release
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Repository.
  * Remove obsolete field Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).
  * Standards-Version: 4.5.0 (no changes required)
  * Bump xdg-desktop-portal dependencies to 1.7.0

 -- Simon McVittie <smcv@debian.org>  Wed, 25 Mar 2020 17:04:36 +0000

=== debian/control ===
--- 
+++ 
@@ -12,11 +12,11 @@
  libglib2.0-dev (>= 2.44),
  libgnome-desktop-3-dev,
  libgtk-3-dev (>= 3.14),
- xdg-desktop-portal-dev (>= 1.6.0),
+ xdg-desktop-portal-dev (>= 1.7.1),
  xmlto,
 Rules-Requires-Root: no
-Standards-Version: 4.4.1
-Homepage: http://flatpak.org/
+Standards-Version: 4.5.0
+Homepage: https://flatpak.org/
 Vcs-Git: https://salsa.debian.org/debian/xdg-desktop-portal-gtk.git
 Vcs-Browser: https://salsa.debian.org/debian/xdg-desktop-portal-gtk
 
@@ -25,14 +25,14 @@
 Multi-arch: foreign
 Depends:
  dbus-user-session | dbus-x11,
- xdg-desktop-portal (>= 1.6.0),
+ xdg-desktop-portal (>= 1.7.1),
  ${misc:Depends},
  ${shlibs:Depends},
 Suggests:
  accountsservice,
  evince,
 Provides:
- xdg-desktop-portal-backend (= 1.6),
+ xdg-desktop-portal-backend (= 1.7.1),
 Description: GTK+/GNOME portal backend for xdg-desktop-portal
  xdg-desktop-portal-gtk provides a GTK+/GNOME implementation for the
  desktop-agnostic xdg-desktop-portal service. This allows sandboxed

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/default.mk

%:
	dh $@

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

override_dh_missing:
	dh_missing --fail-missing

## xdg-desktop-portal-gtk 1.10.0

=== debian/control ===
--- 
+++ 
@@ -6,16 +6,16 @@
  Simon McVittie <smcv@debian.org>,
 Build-Depends:
  dbus,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
+ gsettings-desktop-schemas-dev,
  libdbus-1-dev,
  libfontconfig-dev,
  libglib2.0-dev (>= 2.44),
- libgnome-desktop-3-dev,
  libgtk-3-dev (>= 3.14),
  xdg-desktop-portal-dev (>= 1.7.1),
  xmlto,
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://flatpak.org/
 Vcs-Git: https://salsa.debian.org/debian/xdg-desktop-portal-gtk.git
 Vcs-Browser: https://salsa.debian.org/debian/xdg-desktop-portal-gtk
@@ -25,12 +25,14 @@
 Multi-arch: foreign
 Depends:
  dbus-user-session | dbus-x11,
+ gsettings-desktop-schemas,
  xdg-desktop-portal (>= 1.7.1),
  ${misc:Depends},
  ${shlibs:Depends},
 Suggests:
  accountsservice,
  evince,
+ xdg-desktop-portal-gnome,
 Provides:
  xdg-desktop-portal-backend (= 1.7.1),
 Description: GTK+/GNOME portal backend for xdg-desktop-portal

## xdg-desktop-portal-gtk 1.12.0

=== debian/changelog ===
xdg-desktop-portal-gtk (1.12.0-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports
    - Re-enable GNOME-specific portal backends.
      This provides feature parity with the xdg-desktop-portal-gtk in
      bullseye, and avoids needing a backport of xdg-desktop-portal-gnome,
      which is designed for use with newer GNOME and has dependencies that
      are not available in bullseye.

 -- Simon McVittie <smcv@debian.org>  Wed, 19 Jan 2022 23:23:19 +0000

xdg-desktop-portal-gtk (1.12.0-1) unstable; urgency=medium

  * New upstream release

 -- Simon McVittie <smcv@debian.org>  Sun, 26 Dec 2021 18:39:19 +0000

xdg-desktop-portal-gtk (1.10.0-3) unstable; urgency=medium

  * d/control, d/rules: Disable wallpaper backend.
    This is now in the -gnome backend, and disabling it avoids the
    dependency on libgnome-desktop-3-19 for non-GNOME desktops.
  * d/control: Explicitly (build-)depend on gsettings-desktop-schemas(-dev).
    Previously, we got this via libgnome-desktop-3-dev, but we no longer
    depend on that, and explicit is better than implicit anyway.
  * d/rules: Add comments explaining why we enable each of the non-default
    options that overlap with the -gnome backend. These also mention the
    dependencies that each option adds.
  * Upload to unstable

 -- Simon McVittie <smcv@debian.org>  Tue, 16 Nov 2021 10:44:55 +0000

xdg-desktop-portal-gtk (1.10.0-2) experimental; urgency=medium

  * d/gbp.conf: Branch for experimental
  * d/rules: Disable portals that require GNOME Shell and/or Mutter.
    These have moved to xdg-desktop-portal-gnome, which is GNOME-specific
    (unlike this portal, which becomes more suitable for use in non-GNOME
    desktop environments with these features disabled).
    - d/control: Add transitional Suggests on x-d-p-gnome

 -- Simon McVittie <smcv@debian.org>  Mon, 15 Nov 2021 20:45:01 +0000

xdg-desktop-portal-gtk (1.10.0-1) unstable; urgency=medium

  * New upstream release
  * Enable all optional interfaces.
    xdg-desktop-portal-gnome hasn't been packaged yet (ITP: #994773),
    so it cannot take over these interfaces from us.
  * Standards-Version: 4.6.0 (no changes required)
  * Use debhelper compat level 13
    - No need to override dh_missing any more

 -- Simon McVittie <smcv@debian.org>  Tue, 21 Sep 2021 17:21:33 +0100

=== debian/control ===
--- 
+++ 
@@ -11,13 +11,14 @@
  libdbus-1-dev,
  libfontconfig-dev,
  libglib2.0-dev (>= 2.44),
+ libgnome-desktop-3-dev,
  libgtk-3-dev (>= 3.14),
  xdg-desktop-portal-dev (>= 1.7.1),
  xmlto,
 Rules-Requires-Root: no
 Standards-Version: 4.6.0
 Homepage: https://flatpak.org/
-Vcs-Git: https://salsa.debian.org/debian/xdg-desktop-portal-gtk.git
+Vcs-Git: https://salsa.debian.org/debian/xdg-desktop-portal-gtk.git -b debian/bullseye-backports
 Vcs-Browser: https://salsa.debian.org/debian/xdg-desktop-portal-gtk
 
 Package: xdg-desktop-portal-gtk

## xdg-desktop-portal-gtk 1.14.0

=== debian/changelog ===
xdg-desktop-portal-gtk (1.14.0-1build1) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 25 Mar 2022 10:53:59 +0100

xdg-desktop-portal-gtk (1.14.0-1) unstable; urgency=medium

  * New upstream release
  * d/control: Update build-dependencies
  * d/copyright: Update

 -- Simon McVittie <smcv@debian.org>  Mon, 21 Mar 2022 10:41:22 +0000

=== debian/control ===
Source: xdg-desktop-portal-gtk
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Uploaders:
 Simon McVittie <smcv@debian.org>,
Build-Depends:
 dbus,
 debhelper-compat (= 13),
 gsettings-desktop-schemas-dev,
 libdbus-1-dev,
 libfontconfig-dev,
 libglib2.0-dev (>= 2.44),
 libgtk-3-dev (>= 3.14),
 xdg-desktop-portal-dev (>= 1.14.0),
 xmlto,
Rules-Requires-Root: no
Standards-Version: 4.6.0
Homepage: https://flatpak.org/
Vcs-Git: https://salsa.debian.org/debian/xdg-desktop-portal-gtk.git
Vcs-Browser: https://salsa.debian.org/debian/xdg-desktop-portal-gtk

Package: xdg-desktop-portal-gtk
Architecture: linux-any
Multi-arch: foreign
Depends:
 dbus-user-session | dbus-x11,
 gsettings-desktop-schemas,
 xdg-desktop-portal (>= 1.14.0),
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 accountsservice,
 evince,
 xdg-desktop-portal-gnome,
Provides:
 xdg-desktop-portal-backend (= 1.14.0),
Description: GTK+/GNOME portal backend for xdg-desktop-portal
 xdg-desktop-portal-gtk provides a GTK+/GNOME implementation for the
 desktop-agnostic xdg-desktop-portal service. This allows sandboxed
 applications to request services from outside the sandbox using
 GTK+ GUIs (app chooser, file chooser, print dialog) or using GNOME
 services (session manager, screenshot provider).

## xdg-desktop-portal-gtk 1.14.1

=== debian/changelog ===
xdg-desktop-portal-gtk (1.14.1-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
    - Re-enable GNOME-specific portal backends.
      This provides feature parity with the xdg-desktop-portal-gtk in
      bullseye, and avoids needing a backport of xdg-desktop-portal-gnome,
      which is designed for use with newer GNOME and has dependencies that
      are not available in bullseye.

 -- Simon McVittie <smcv@debian.org>  Thu, 01 Dec 2022 11:14:52 +0000

xdg-desktop-portal-gtk (1.14.1-1) unstable; urgency=medium

  * New upstream release
    - Functionally equivalent to 1.14.0-2
    - Drop all patches, included in upstream release

 -- Simon McVittie <smcv@debian.org>  Tue, 29 Nov 2022 13:49:12 +0000

xdg-desktop-portal-gtk (1.14.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Update standards version to 4.6.1 (no changes needed)
  * Canonicalize case of Multi-Arch field
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on libglib2.0-dev and
      libgtk-3-dev.

  [ Simon McVittie ]
  * d/watch: Adapt to Github web page changes
  * d/patches: Add translation updates from upstream
  * d/patches: Add bug fixes from upstream git, up to 1.14.0-19-g9702bac
    - printing, wallpaper: Fix some memory leaks
    - printing: Consistently include .desktop in the fallback app name
    - screencast: Fall back to desktop ID if we don't know the app name
    - appchooser: Fix a use-after-free
    - wallpaper: Handle errors storing images in the cache
    - email: Fix a crash if no addresses are provided
    - notification: Fix notifications for apps with no ID not appearing
    - screenshot: Report whether PickColor is implemented, if possible
      (this requires xdg-desktop-portal 1.15.0-3 at runtime)

 -- Simon McVittie <smcv@debian.org>  Tue, 22 Nov 2022 10:40:09 +0000

xdg-desktop-portal-gtk (1.14.0-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports
    - Re-enable GNOME-specific portal backends.
      This provides feature parity with the xdg-desktop-portal-gtk in
      bullseye, and avoids needing a backport of xdg-desktop-portal-gnome,
      which is designed for use with newer GNOME and has dependencies that
      are not available in bullseye.

 -- Simon McVittie <smcv@debian.org>  Sat, 26 Mar 2022 15:42:29 +0000

=== debian/control ===
Source: xdg-desktop-portal-gtk
Section: gnome
Priority: optional
Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Uploaders:
 Simon McVittie <smcv@debian.org>,
Build-Depends:
 dbus,
 debhelper-compat (= 13),
 gsettings-desktop-schemas-dev,
 libdbus-1-dev,
 libfontconfig-dev,
 libglib2.0-dev,
 libgnome-desktop-3-dev,
 libgtk-3-dev,
 xdg-desktop-portal-dev (>= 1.14.0),
 xmlto,
Rules-Requires-Root: no
Standards-Version: 4.6.1
Homepage: https://flatpak.org/
Vcs-Git: https://salsa.debian.org/debian/xdg-desktop-portal-gtk.git -b debian/bullseye-backports
Vcs-Browser: https://salsa.debian.org/debian/xdg-desktop-portal-gtk

Package: xdg-desktop-portal-gtk
Architecture: linux-any
Depends:
 dbus-user-session | dbus-x11,
 gsettings-desktop-schemas,
 xdg-desktop-portal (>= 1.14.0),
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 accountsservice,
 evince,
 xdg-desktop-portal-gnome,
Provides:
 xdg-desktop-portal-backend (= 1.14.0),
Multi-Arch: foreign
Description: GTK+/GNOME portal backend for xdg-desktop-portal
 xdg-desktop-portal-gtk provides a GTK+/GNOME implementation for the
 desktop-agnostic xdg-desktop-portal service. This allows sandboxed
 applications to request services from outside the sandbox using
 GTK+ GUIs (app chooser, file chooser, print dialog) or using GNOME
 services (session manager, screenshot provider).

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/default.mk

configure_options =

# Required if we want to provide OpenURI on otherwise unsupported desktops
# like XFCE; no additional dependencies.
configure_options += --enable-appchooser

# Not entirely GNOME-specific (used in gvfs which is pulled in by non-GNOME
# desktops). This adds a dependency on gsettings-desktop-schemas, but we'll
# need that for Settings anyway.
configure_options += --enable-lockdown

# Required if we want GTK applications on non-GNOME desktops to have the
# same antialiasing, etc. in Flatpak apps as in native apps.
# This adds a dependency on fontconfig and gsettings-desktop-schemas,
# but that seems unavoidable. See
# https://github.com/flatpak/xdg-desktop-portal-gtk/issues/355
configure_options += --enable-settings

# Enable all remaining GNOME-specific portals for bullseye-backports.
# x-d-p-gnome is not suitable for backporting to the version of GNOME
# in bullseye.
configure_options += --enable-background
configure_options += --enable-screencast
configure_options += --enable-screenshot
configure_options += --enable-wallpaper

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(configure_options)

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

## xdg-desktop-portal-gtk 1.15.1

=== debian/changelog ===
xdg-desktop-portal-gtk (1.15.1-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:28:11 +0000

xdg-desktop-portal-gtk (1.15.1-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 08:09:41 +0000

xdg-desktop-portal-gtk (1.15.1-1) unstable; urgency=medium

  * New upstream release
    - Build using Meson
  * d/control: Drop unused Build-Depends: dbus, libdbus-1-dev
  * d/gbp.conf: Update packaging branch to debian/latest
  * Standards-Version: 4.6.2 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Thu, 26 Oct 2023 17:08:42 +0100

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,23 @@
 Source: xdg-desktop-portal-gtk
 Section: gnome
 Priority: optional
-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Simon McVittie <smcv@debian.org>,
 Build-Depends:
- dbus,
  debhelper-compat (= 13),
  gsettings-desktop-schemas-dev,
- libdbus-1-dev,
  libfontconfig-dev,
  libglib2.0-dev,
- libgnome-desktop-3-dev,
  libgtk-3-dev,
+ meson,
  xdg-desktop-portal-dev (>= 1.14.0),
  xmlto,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://flatpak.org/
-Vcs-Git: https://salsa.debian.org/debian/xdg-desktop-portal-gtk.git -b debian/bullseye-backports
+Vcs-Git: https://salsa.debian.org/debian/xdg-desktop-portal-gtk.git
 Vcs-Browser: https://salsa.debian.org/debian/xdg-desktop-portal-gtk
 
 Package: xdg-desktop-portal-gtk

## xdg-desktop-portal-gtk 1.15.2

=== debian/changelog ===
xdg-desktop-portal-gtk (1.15.2-2) unstable; urgency=medium

  * d/p/notification-Pass-GUnixFDList-on-x-d-p-1.19.1.patch:
    Add patch from upstream git to fix a crash when built against
    x-d-p 1.19.x

 -- Simon McVittie <smcv@debian.org>  Sun, 16 Feb 2025 16:21:06 +0000

xdg-desktop-portal-gtk (1.15.2-1) unstable; urgency=medium

  * New upstream release
  * d/copyright: Update
  * d/salsa-ci.yml: Use recommended recipe
  * Standards-Version: 4.7.0 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Thu, 09 Jan 2025 23:04:18 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: xdg-desktop-portal-gtk
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
+Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Simon McVittie <smcv@debian.org>,
 Build-Depends:
@@ -15,7 +14,7 @@
  xdg-desktop-portal-dev (>= 1.14.0),
  xmlto,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://flatpak.org/
 Vcs-Git: https://salsa.debian.org/debian/xdg-desktop-portal-gtk.git
 Vcs-Browser: https://salsa.debian.org/debian/xdg-desktop-portal-gtk

## xdg-desktop-portal-gtk 1.15.3

=== debian/changelog ===
xdg-desktop-portal-gtk (1.15.3-2) unstable; urgency=medium

  * Remove Suggests: evince

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 31 Aug 2025 15:01:33 -0400

xdg-desktop-portal-gtk (1.15.3-1) unstable; urgency=medium

  * New upstream bugfix release
  * Drop the single patch, applied upstream
  * Standards-Version: 4.7.2 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Sat, 22 Mar 2025 20:47:09 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  xdg-desktop-portal-dev (>= 1.14.0),
  xmlto,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://flatpak.org/
 Vcs-Git: https://salsa.debian.org/debian/xdg-desktop-portal-gtk.git
 Vcs-Browser: https://salsa.debian.org/debian/xdg-desktop-portal-gtk
@@ -29,7 +29,6 @@
  ${shlibs:Depends},
 Suggests:
  accountsservice,
- evince,
  xdg-desktop-portal-gnome,
 Provides:
  xdg-desktop-portal-backend (= 1.14.0),

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/default.mk

configure_options =

# Required if we want to provide OpenURI on otherwise unsupported desktops
# like XFCE; no additional dependencies.
configure_options += -Dappchooser=enabled

# Not entirely GNOME-specific (used in gvfs which is pulled in by non-GNOME
# desktops). This adds a dependency on gsettings-desktop-schemas, but we'll
# need that for Settings anyway.
configure_options += -Dlockdown=enabled

# Required if we want GTK applications on non-GNOME desktops to have the
# same antialiasing, etc. in Flatpak apps as in native apps.
# This adds a dependency on fontconfig and gsettings-desktop-schemas,
# but that seems unavoidable. See
# https://github.com/flatpak/xdg-desktop-portal-gtk/issues/355
configure_options += -Dsettings=enabled

# GNOME-specific, use x-d-p-gnome instead
configure_options += -Dwallpaper=disabled

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(configure_options)

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp
